<script>
    // credits to https://dev.to/anupjoseph
    // script can be found on https://dev.to/learners/make-a-scatter-plot-with-svelte-and-d3-56md
    import { select, selectAll } from "d3-selection";
    import { axisBottom, axisLeft } from "d3-axis";
    export let innerHeight;
    export let margin;
    export let position;
    export let scale;
    export let nbYTicks = 4;
    export let nbXTicks;
    let transform;
    let g;
    $: {
      select(g).selectAll("*").remove();
      let axis;
      switch (position) {
        case "bottom":
          axis = axisBottom(scale).tickSizeOuter(0);
          transform = `translate(0, ${innerHeight-12})`;
          break;
        case "bottom2":
          axis = axisBottom(scale).tickSizeOuter(0).ticks(nbXTicks);
          transform = `translate(0, ${innerHeight-12})`;
          break;
        case "left":
          axis = axisLeft(scale).tickSizeOuter(0).ticks(nbYTicks);
          transform = `translate(${margin}, 0)`;
      }
      select(g).call(axis);
    }
  </script>
  
  <g class="axis" bind:this={g} {transform} />